Subject: Re: [Bitcoin-development] Decentralized digital asset exchange with honest pricing and market depth

From: Jorge Timón <[email-masked]>
Date: Sun, 2 Mar 2014 20:03:06 +0100

Again, the two best ways are here:

https://en.bitcoin.it/wiki/Contracts#Example_5:_Trading_across_chains
https://bitcointalk.org/index.php?topic=321228

But this is off-topic, Peter wasn't talking about cross-chain trade.

On 3/2/14, Troy Benjegerdes <[email-masked]> wrote:
> I'm asking for how to DEVELOP THE CODE so I can trade between two block
> chains, and then I'm going to start trading cats and dogs and bits.
>
> Somewhere in trying to figure out the design spec we got caught up in
> existential
> concern about 'globally knowable and accurate price history', and I'm
> telling you
> it doesn't matter.
>
> I'm the customer and the developer, someone give me a clear design document
> to
> trade between two chains and I can write it, and then we can debate
> improvements.
>
>
> On Sat, Mar 01, 2014 at 01:33:25PM -0500, Jeff Garzik wrote:
>> This is not bitcoin-philosophy, it's bitcoin-development.  Existential
>> philosophy belongs on IRC or the forums.
>>
>>
>> On Sat, Mar 1, 2014 at 1:28 PM, Mark Friedenbach <[email-masked]>
>> wrote:
>> > Only if you view bitcoin as no more than a payment network.
>> >
>> > On Mar 1, 2014 10:24 AM, "Jeff Garzik" <[email-masked]> wrote:
>> >>
>> >> This is wandering far off-topic for this mailing list.
>> >>
>> >> On Sat, Mar 1, 2014 at 12:45 PM, Troy Benjegerdes <[email-masked]>
>> >> wrote:
>> >> >> > You can make the same argument against Bitcoin itself you know...
>> >> >> >
>> >> >> > A Bitmessage-like network would be trivial to front-run via a
>> >> >> > sybil
>> >> >> > attack. It's the fundemental problem with marketplaces - the data
>> >> >> > they're trying to publish has to be public.
>> >> >>
>> >> >> I don't see the Bitcoin analogy...
>> >> >> Anyway, I still don't think the seller cares, if he sells at the
>> >> >> price
>> >> >> he was asking, what would he care about "front running" those
>> >> >> parallel
>> >> >> networks.
>> >> >> I've seen many street markets without "public information" and they
>> >> >> work just well.
>> >> >
>> >> > The spot price for ammonia fertilizer, refined gasoline at
>> >> > terminals,
>> >> > and price of tea in china are not 'public information', yet these
>> >> > are
>> >> > some of the largest traded commodities in the world, far exceeding
>> >> > the drop in the bucket that all cryptocoin transactions make.
>> >> >
>> >> > I'd further argue that the *actual* price of corn (cash bid price at
>> >> > elevators and ethanol plants) is not public information either.
>> >> > There
>> >> > is a great deal of money traded in collecting and then distributing
>> >> > the
>> >> > 'cleared price' information. Have a look at
>> >> >
>> >> > http://www.interquote.com/template.cfm?navgroup=aboutlist&urlcode=12&view=1
>> >> >
>> >> >
>> >> >> >> I don't think this will be a tragedy, because like we discussed
>> >> >> >> on
>> >> >> >> IRC, I don't think the primary goal of markets is price
>> >> >> >> discovery,
>> >> >> >> but
>> >> >> >> trade itself.
>> >> >> >>
>> >> >> >> About historic data, the actual trades are always public, and
>> >> >> >> some
>> >> >> >> kind of "archivers" could collect and maintain old orders for
>> >> >> >> historic
>> >> >> >> bid and asks, etc.
>> >> >> >
>> >> >> > And again, how do you know that record is honest? Fact is without
>> >> >> > proof-of-publication you just don't.
>> >> >>
>> >> >> Well, the trades that appeared in the chain actually occurred.
>> >> >> Buying to yourself at fake prices? Be careful, the miner could just
>> >> >> separate the order and fill it himself. Or anyone paying a higher
>> >> >> fee,
>> >> >> for that matter.
>> >> >
>> >> > You just made my long-term strategic argument for investing in my
>> >> > own
>> >> > mining hardware so I can be sure to trade reliably.
>> >> >
>> >> >> Again, you haven't addressed why the seller cares more about
>> >> >> "accurate
>> >> >> historic market data" than just his own fees and sell.
>> >> >>
>> >> >> > You mean a reverse nLockTime that makes a transaction invalid
>> >> >> > after a
>> >> >> > certain amount of time - that's dangerous in a reorg unfortunately
>> >> >> > as
>> >> >> > it
>> >> >> > can make transactions permenantly invalid.
>> >> >
>> >> > People who take money from buyers and sellers care most about
>> >> > 'accurate
>> >> > historic market data'. I just want to exchange my corn for e85,
>> >> > fertilizer,
>> >> > and electricity, and audit the code that runs accounting for the
>> >> > exchange.
>> >> >
>> >> > I really don't give a shit if there is 'accurate historic market
>> >> > data'
>> >> > as
>> >> > long as **MY** personal trade data is accurate and I got a good
>> >> > enough
>> >> > price,
>> >> > and I know who I'm dealing with.
>> >> >
>> >> > I know someone smarter than me and with more money, market leverage,
>> >> > and
>> >> > political connections **WILL** game the system and distort the
>> >> > market
>> >> > data
>> >> > history so they can take more money from buyers and sellers without
>> >> > actually
>> >> > doing some usefull market function.
>> >> >
>> >> > As long as use buyers and sellers can see the code, and have a good
>> >> > eye
>> >> > for
>> >> > knowing when someone's pushing the market around, we can just put
>> >> > our
>> >> > orders
>> >> > in and relieve some speculators of their money.
>> >> >
>> >> > Just get me working code for cross-chain trades, and we'll work on
>> >> > the
>> >> > accurate historic data problem later.
>> >> >
>> >> >
>> >> > ----------------------------------------------------------------------------
>> >> > Troy Benjegerdes                 'da hozer'
>> >> > [email-masked]
>> >> > 7 elements      earth::water::air::fire::mind::spirit::soul
>> >> > grid.coop
>> >> >
>> >> >       Never pick a fight with someone who buys ink by the barrel,
>> >> >          nor try buy a hacker who makes money by the megahash
>> >> >
>> >> >
>> >> >
>> >> > ------------------------------------------------------------------------------
>> >> > Flow-based real-time traffic analytics software. Cisco certified
>> >> > tool.
>> >> > Monitor traffic, SLAs, QoS, Medianet, WAAS etc. with NetFlow
>> >> > Analyzer
>> >> > Customize your own dashboards, set traffic alerts and generate
>> >> > reports.
>> >> > Network behavioral analysis & security monitoring. All-in-one tool.
>> >> >
>> >> > http://pubads.g.doubleclick.net/gampad/clk?id=126839071&iu=/4140/ostg.clktrk
>> >> > _______________________________________________
>> >> > Bitcoin-development mailing list
>> >> > [email-masked]
>> >> > https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>> >>
>> >>
>> >>
>> >> --
>> >> Jeff Garzik
>> >> Bitcoin core developer and open source evangelist
>> >> BitPay, Inc.      https://bitpay.com/
>> >>
>> >>
>> >> ------------------------------------------------------------------------------
>> >> Flow-based real-time traffic analytics software. Cisco certified tool.
>> >> Monitor traffic, SLAs, QoS, Medianet, WAAS etc. with NetFlow Analyzer
>> >> Customize your own dashboards, set traffic alerts and generate
>> >> reports.
>> >> Network behavioral analysis & security monitoring. All-in-one tool.
>> >>
>> >> http://pubads.g.doubleclick.net/gampad/clk?id=126839071&iu=/4140/ostg.clktrk
>> >> _______________________________________________
>> >> Bitcoin-development mailing list
>> >> [email-masked]
>> >> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>>
>>
>>
>> --
>> Jeff Garzik
>> Bitcoin core developer and open source evangelist
>> BitPay, Inc.      https://bitpay.com/
>
> --
> ----------------------------------------------------------------------------
> Troy Benjegerdes                 'da hozer'
> [email-masked]
> 7 elements      earth::water::air::fire::mind::spirit::soul
> grid.coop
>
>       Never pick a fight with someone who buys ink by the barrel,
>          nor try buy a hacker who makes money by the megahash
>
>
> ------------------------------------------------------------------------------
> Flow-based real-time traffic analytics software. Cisco certified tool.
> Monitor traffic, SLAs, QoS, Medianet, WAAS etc. with NetFlow Analyzer
> Customize your own dashboards, set traffic alerts and generate reports.
> Network behavioral analysis & security monitoring. All-in-one tool.
> http://pubads.g.doubleclick.net/gampad/clk?id=126839071&iu=/4140/ostg.clktrk
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>

-- 
Jorge Timón

http://freico.in/